clang 10.0.0git

Friends | List of all members
clang::CodeGen::ConstantStructBuilder Class Reference

A helper class of ConstantInitBuilder, used for building constant struct initializers. More...

`#include "clang/CodeGen/ConstantInitBuilder.h"`

Inheritance diagram for clang::CodeGen::ConstantStructBuilder:
[legend]
Collaboration diagram for clang::CodeGen::ConstantStructBuilder:
[legend]

## Friends
template<class Traits >
class | ConstantInitBuilderTemplateBase
template<class Impl , class Traits >
class | CodeGen::ConstantAggregateBuilderTemplateBase

## Additional Inherited Members
Public Types inherited from clang::CodeGen::ConstantStructBuilderTemplateBase< ConstantInitBuilderTraits >
using | InitBuilder = typename ConstantInitBuilderTraits ::InitBuilder
using | AggregateBuilderBase = typename ConstantInitBuilderTraits ::AggregateBuilderBase
Public Types inherited from clang::CodeGen::ConstantAggregateBuilderTemplateBase< ConstantInitBuilderTraits ::StructBuilder, ConstantInitBuilderTraits >
using | InitBuilder = typename ConstantInitBuilderTraits ::InitBuilder
using | ArrayBuilder = typename ConstantInitBuilderTraits ::ArrayBuilder
using | StructBuilder = typename ConstantInitBuilderTraits ::StructBuilder
using | AggregateBuilderBase = typename ConstantInitBuilderTraits ::AggregateBuilderBase
Public Member Functions inherited from clang::CodeGen::ConstantStructBuilderTemplateBase< ConstantInitBuilderTraits >
void | setPacked (bool packed)
void | suggestType (llvm::StructType *structTy)
| Use the given type for the struct if its element count is correct. More...
Public Member Functions inherited from clang::CodeGen::ConstantAggregateBuilderTemplateBase< ConstantInitBuilderTraits ::StructBuilder, ConstantInitBuilderTraits >
ArrayBuilder | beginArray (llvm::Type *eltTy=nullptr)
StructBuilder | beginStruct (llvm::StructType *ty=nullptr)
void | finishAndAddTo (AggregateBuilderBase &parent)
| Given that this builder was created by beginning an array or struct component on the given parent builder, finish the array/struct component and add it to the parent. More...
llvm::GlobalVariable * | finishAndCreateGlobal (As &&...args)
| Given that this builder was created by beginning an array or struct directly on a ConstantInitBuilder, finish the array/struct and create a global variable with it as the initializer. More...
void | finishAndSetAsInitializer (llvm::GlobalVariable *global)
| Given that this builder was created by beginning an array or struct directly on a ConstantInitBuilder, finish the array/struct and set it as the initializer of the given global variable. More...
ConstantInitFuture | finishAndCreateFuture ()
| Given that this builder was created by beginning an array or struct directly on a ConstantInitBuilder, finish the array/struct and return a future which can be used to install the initializer in a global later. More...
Protected Member Functions inherited from clang::CodeGen::ConstantStructBuilderTemplateBase< ConstantInitBuilderTraits >
| ConstantStructBuilderTemplateBase (InitBuilder &builder, AggregateBuilderBase *parent, llvm::StructType *structTy)
Protected Member Functions inherited from clang::CodeGen::ConstantAggregateBuilderTemplateBase< ConstantInitBuilderTraits ::StructBuilder, ConstantInitBuilderTraits >
| ConstantAggregateBuilderTemplateBase (InitBuilder &builder, AggregateBuilderBase *parent)
ConstantInitBuilderTraits ::StructBuilder & | asImpl ()

## Detailed Description

A helper class of ConstantInitBuilder, used for building constant struct initializers.

Definition at line 542 of file ConstantInitBuilder.h.

## Friends And Related Function Documentation

## ◆ CodeGen::ConstantAggregateBuilderTemplateBase

template<class Impl , class Traits >

friend class CodeGen::ConstantAggregateBuilderTemplateBase
| friend

Definition at line 549 of file ConstantInitBuilder.h.

## ◆ ConstantInitBuilderTemplateBase

template<class Traits >

friend class ConstantInitBuilderTemplateBase
| friend

Definition at line 545 of file ConstantInitBuilder.h.

The documentation for this class was generated from the following file:

- include/clang/CodeGen/ConstantInitBuilder.h